@import url("https://fonts.googleapis.com/css2?family=Roboto&display=swap");
@keyframes delete {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
body {
  background-image: url("https://images8.alphacoders.com/473/thumb-1920-473471.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  font-family: "Roboto", sans-serif;
}
.post-form {
  display: flex;
  flex-direction: column;
  height: 500px;
  width: 500px;
  top: 60px;
  position: fixed;
  z-index: 3;
  left: calc(50% - 270px);
  background-color: rgb(156, 156, 160);
  border-radius: 6px;
}
.create-h1 {
  text-align: center;
  padding: 20px;
  font-size: 25px;
}
.labels {
  margin-left: 50px;
  margin-bottom: 10px;
  margin-top: 12px;
  font-size: 19px;
}
#postHeading {
  width: 400px;
  margin: 0px auto;
  font-size: 18px;
  border-radius: 6px;
}
#postInfo {
  width: 400px;
  margin: 0px auto;
  height: 250px;
  font-size: 18px;
  resize: none;
  border-radius: 6px;
}
.btn-wrapper {
  display: flex;
  justify-content: space-around;
  margin-top: 15px;
  margin-bottom: 15px;
}
.btn-wrapper button {
  display: block;
  position: static;
  padding: 10px 20px 10px;
  background-color: rgb(122, 163, 187);
}
.hidden {
  display: none;
}
.create-post {
  position: fixed;
  top: 30px;
  right: 30px;
  text-decoration: none;
  box-shadow: 3px 3px 10px rgb(8, 45, 80);
  background-color: rgb(255, 255, 255);
  border-radius: 5px;
  padding: 10px;
  font-size: 18px;
  color: rgb(0, 0, 0);
  font-weight: bold;
}
.create-post:active {
  background-color: rgb(43, 167, 238);
}
.heading-wrapper {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  padding-left: 12px;
  justify-content: space-between;
}

button {
  position: absolute;
  right: 12px;
  border-radius: 5px;
  background-color: rgba(240, 255, 255, 0);
  outline: none;
  border: none;
  font-size: 16px;
}
.post {
  margin-top: 20px;
  padding-right: 35px;
  background-color: azure;
  width: 566px;
  padding-top: 12px;
  font-size: 14px;
  display: flex;
  position: relative;
  border: 1px solid gray;
  border-radius: 10px;
  box-shadow: 3px 5px 3px rgba(65, 65, 65, 0.2);
}
.post.delete {
  animation: delete 1s forwards;
}

#root {
  width: fit-content;
  margin: 0px auto;
}
.author {
  font-size: 22px;
  padding-top: 15px;
}
.email {
  padding-top: 20px;
  padding-right: 25px;
}
.author,
.email,
.post-heading-name {
  font-weight: bold;
}
.post-heading-name {
  font-size: 26px;
  text-transform: capitalize;
  margin-top: 15px;
}
.post-description {
  font-size: 17px;
  margin-top: 20px;
  padding-left: 12px;
}
.post-image {
  margin-top: 12px;
  margin-left: 12px;
}
.post-description::first-letter {
  text-transform: capitalize;
}
.social-wrapper {
  display: flex;
  justify-content: center;
  height: 47px;
  align-items: center;
}
.comments-wrapper,
.repost-wrapper,
.like-wrapper {
  width: fit-content;
}
#comment-icon,
#like-icon,
#repost-icon {
  fill: gray;
  stroke: none;
  width: 18px;
  height: 18px;
  margin-left: 100px;
}
#comment-icon {
  margin-left: 0px;
}

.posts-section {
  margin: 0 auto;
  width: 700px;
}

.loader {
  margin: 0 auto;
  animation: rotate 1s infinite;
  height: 50px;
  width: 50px;
}

.loader:before,
.loader:after {
  border-radius: 50%;
  content: "";
  display: block;
  height: 20px;
  width: 20px;
}

.loader:before {
  animation: ball1 1s infinite;
  background-color: #cb2025;
  box-shadow: 30px 0 0 #f8b334;
  margin-bottom: 10px;
}

.loader:after {
  animation: ball2 1s infinite;
  background-color: #00a096;
  box-shadow: 30px 0 0 #97bf0d;
}

@keyframes rotate {
  0% {
    -webkit-transform: rotate(0deg) scale(0.8);
    -moz-transform: rotate(0deg) scale(0.8);
  }
  50% {
    -webkit-transform: rotate(360deg) scale(1.2);
    -moz-transform: rotate(360deg) scale(1.2);
  }
  100% {
    -webkit-transform: rotate(720deg) scale(0.8);
    -moz-transform: rotate(720deg) scale(0.8);
  }
}

@keyframes ball1 {
  0% {
    box-shadow: 30px 0 0 #f8b334;
  }
  50% {
    box-shadow: 0 0 0 #f8b334;
    margin-bottom: 0;
    -webkit-transform: translate(15px, 15px);
    -moz-transform: translate(15px, 15px);
  }
  100% {
    box-shadow: 30px 0 0 #f8b334;
    margin-bottom: 10px;
  }
}

@keyframes ball2 {
  0% {
    box-shadow: 30px 0 0 #97bf0d;
  }
  50% {
    box-shadow: 0 0 0 #97bf0d;
    margin-top: -20px;
    -webkit-transform: translate(15px, 15px);
    -moz-transform: translate(15px, 15px);
  }
  100% {
    box-shadow: 30px 0 0 #97bf0d;
    margin-top: 0;
  }
}
